List rating

Deprecated

GET
/v1/conversations/{conversationId}/rating

Deprecated rating endpoint. Use '/ratings'.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

conversationId*integer
Formatint64

Response Body

List of ratings for a conversation

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/v1/conversations/{conversationId}/rating' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "33cf4e5e-9ce9-461c-b668-be9b712b717c",
"ratingScore": 4,
"ratingType": "Csat",
"ratingComment": "Super good!",
"conversationChannel": "PstnPhone",
"agentId": "a53b25da-f676-4c52-acac-58c9280aa23d",
"userId": "6d0c5791-e40a-46d4-bba1-1364ce4578ed",
"ratingStatus": "Offered",
"language": "English",
"timestamps": {}
}
]
}